--
-- Copyright (C) 2015 Kosmos <contact@kosmos.fr>
--
-- Projet: enrollment
-- Version: 1.02.05
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--         http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

CREATE TABLE ENROLLMENT_MODEL_META (
  `ID`       BIGINT NOT NULL AUTO_INCREMENT,
  `MODEL_ID` BIGINT NOT NULL,
  `META_ID`  BIGINT NOT NULL,
  PRIMARY KEY (ID)
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;

CREATE TABLE ENROLLMENT (
  `ID`              BIGINT       NOT NULL AUTO_INCREMENT,
  `REGISTRATION_ID` BIGINT       NOT NULL,
  `MODEL_ID`        BIGINT       NOT NULL,
  `NAME`            VARCHAR(128) NOT NULL,
  `LAST_NAME`       VARCHAR(128) NOT NULL,
  `EMAIL`           VARCHAR(256) NOT NULL,
  PRIMARY KEY (ID)
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;

CREATE TABLE ENROLLMENT_STATE_HISTORY (
  `ID`                     BIGINT       NOT NULL AUTO_INCREMENT,
  `REGISTRATION_ID`        BIGINT       NOT NULL,
  `LAST_MODIFICATION_DATE` TIMESTAMP    NOT NULL,
  `LAST_IDENTITY`          VARCHAR(256) NOT NULL,
  `STATE`                  VARCHAR(64)  NOT NULL,
  `DATA`                   TEXT,
  PRIMARY KEY (ID)
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;