<%--

    Copyright (C) 2015 Kosmos <contact@kosmos.fr>

    Projet: enrollment
    Version: 1.02.05

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="com.jsbsoft.jtf.core.InfoBean" %>
<%@ page import="com.univ.objetspartages.util.EnrollmentUtil" %>
<%@ page import="com.univ.utils.EscapeString" %>
<%@ page import="com.univ.objetspartages.view.model.bo.SimpleEnrollmentBoView" %>
<%@ page import="com.univ.objetspartages.processus.EnrollmentRegistrationProcessus" %>
<%@ page import="org.apache.commons.lang3.StringUtils" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<jsp:useBean id="fmt" class="com.jsbsoft.jtf.core.FormateurJSP" scope="page" />
<jsp:useBean id="univFmt" class="com.univ.utils.UnivFmt" scope="page" />
<%
    final SimpleEnrollmentBoView view = infoBean.get(EnrollmentRegistrationProcessus.DETAILS_MODEL, SimpleEnrollmentBoView.class);
    final String address = (String) view.getData().get("simple_enrollment_registration_data.address");
    final String postalCode = (String) view.getData().get("simple_enrollment_registration_data.postal_code");
    final String city = (String) view.getData().get("simple_enrollment_registration_data.city");
%>
<form id="saisie_objet" action="/servlet/com.jsbsoft.jtf.core.SG">
    <div id="actions">
        <div>
            <ul>
                <li><button class="retour" type="button" name="RETOUR" data-action="LIST" value="<%= EnrollmentUtil.getMessage("BO_RETOUR") %>" ><%= EnrollmentUtil.getMessage("BO_RETOUR") %></button></li>
            </ul>
            <div class="clearfix"></div>
            <span title="<%= EnrollmentUtil.getMessage("BO_FERMER") %>" id="epingle">&ndash;</span>
        </div><!-- / -->
    </div><!-- #actions -->
    <br/>
    <div id="content">
        <div class="formulaire_hidden">
            <input type="hidden" name="ACTION" value="" />
            <input type="hidden" name="APERCU" value="0" />
            <input type="hidden" name="<%= EnrollmentRegistrationProcessus.ENROLLMENT_ID %>" value="<%= view.getRegistrationId() %>" />
            <input type="hidden" name="<%= EnrollmentRegistrationProcessus.MODEL_ID %>" value="<%= view.getModelId() %>" />
            <input type="hidden" name="<%= InfoBean.PROC %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getNomProcessus()) %>" />
            <input type="hidden" name="<%= InfoBean.EXT %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getNomExtension()) %>" />
            <input type="hidden" name="<%= InfoBean.ECRAN_LOGIQUE %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getEcranLogique()) %>" />
            <input type="hidden" name="<%= InfoBean.ETAT_OBJET %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getEtatObjet()) %>" />
        </div> <!-- .formulaire_hidden -->

        <div class="enrollment__details">
            <p>
                <span class="label colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.DETAILS.CREATION_DATE") %></span>
                <span><%= view.getCreationDate() %></span>
            </p><%
            if(view.getHistory().size() > 0) {
            %><div class="simple_enrollment__listing">
                <span class="label colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.DETAILS.HISTORY") %></span>
                <ul><%
                    for(String currentHistory : view.getHistory()) {
                    %><li><%= currentHistory %></li><%
                    }
                %></ul>
            </div><%
            }
            %><hr>
            <p>
                <span class="label colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.DETAILS.NAME") %></span>
                <span><%= view.getName() %></span>
            </p>
            <p>
                <span class="label colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.DETAILS.EMAIL") %></span>
                <span><%= view.getEmail() %></span>
            </p><%
            if(StringUtils.isNotBlank(address) || StringUtils.isNotBlank(postalCode) || StringUtils.isNotBlank(city)) {
            %><div class="simple_enrollment__listing">
                <span class="label colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.DETAILS.ADDRESS") %></span>
                <ul><% if(StringUtils.isNotBlank(address)) {
                    %><li><%= address %></li><%
                    }
                    if(StringUtils.isNotBlank(postalCode)) {
                    %><li><%= postalCode %></li><%
                    }
                    if(StringUtils.isNotBlank(city)) {
                    %><li><%= city %></li><%
                    }
                %></ul>
            </div><%
            }
        %></div>
    </div>
</form>