<%--

    Copyright (C) 2015 Kosmos <contact@kosmos.fr>

    Projet: enrollment
    Version: 1.02.05

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="com.jsbsoft.jtf.core.FormateurJSP" %>
<%@ page import="com.kosmos.registration.bean.DefaultEnrollmentModel" %>
<%@ page import="com.univ.objetspartages.processus.EnrollmentController" %>
<%@ page import="com.univ.objetspartages.util.EnrollmentUtil" %>
<%@ page import="com.univ.objetspartages.view.model.bo.EnrollmentInputViewModel" %>
<%@ page import="com.univ.utils.EscapeString" %>
<%@ page import="org.apache.commons.lang3.StringUtils" %>
<%@ page import="javax.validation.ConstraintViolation" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.Set" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<jsp:useBean id="fmt" class="com.jsbsoft.jtf.core.FormateurJSP" scope="page" />
<jsp:useBean id="univFmt" class="com.univ.utils.UnivFmt" scope="page" />
<fieldset id="enrollment__plugin">
	<legend><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.LEGEND") %></legend>
	<input type="hidden" name="<%= EnrollmentController.ACTIVE %>" value="<%= infoBean.get(EnrollmentController.ACTIVE) %>" /><%
    final EnrollmentInputViewModel viewModel = infoBean.get(EnrollmentController.VIEW_MODEL, EnrollmentInputViewModel.class);
    if (viewModel == null) {
         %><button type="button" data-action="ADD_ENROLLMENT" class="button neutre enrollment__enrolled-button"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.ACTIVATE") %></button><%
    } else {
		final Map<String , Object> datas = viewModel.getConfiguration();
		final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		final String startDate = datas.get("enrollment_action_configuration.start_date") != null ? sdf.format(datas.get("enrollment_action_configuration.start_date")) : StringUtils.EMPTY;
		final String endDate = datas.get("enrollment_action_configuration.end_date") != null ? sdf.format(datas.get("enrollment_action_configuration.end_date")) : StringUtils.EMPTY;
	%><input type="hidden" name="<%= EnrollmentController.MODEL_ID %>" value="<%= viewModel.getCurrentModel().getId() == null ? StringUtils.EMPTY : viewModel.getCurrentModel().getId() %>">
	<input type="hidden" name="enrollment_action_configuration.meta_id" value="<%= viewModel.getMetaId() %>">
	<p class="retrait">
		<% fmt.insererChampSaisie(out, infoBean, "enrollment_action_configuration.active", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_CHECKBOX, 0, 1); %>
		<label for="enrollment_action_configuration.active"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.OPENED") %></label>
	</p>
	<p>
		<label for="enrollment_action_configuration.available_places" class="colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.AVAILABLE_PLACES") %>&nbsp;<button type="button" class="infobulle" data-original-title="<%= EscapeString.escapeAttributHtml(EnrollmentUtil.getMessage("BO.ENROLLMENT.AVAILABLE_PLACES_TIP")) %>"></button></label>
		<input type="number" id="enrollment_action_configuration.available_places" name="enrollment_action_configuration.available_places" min="1" placeholder="<%= EnrollmentUtil.getMessage("BO.ENROLLMENT.UNLIMITED_PLACES") %>" value="<%= datas.get("enrollment_action_configuration.available_places") != null ? datas.get("enrollment_action_configuration.available_places") : StringUtils.EMPTY %>">
	</p>
	<p>
        <span class="colonne label"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.DATES") %>&nbsp;<button type="button" class="infobulle" data-original-title="<%= EscapeString.escapeAttributHtml(EnrollmentUtil.getMessage("BO.ENROLLMENT.DATES_TIP")) %>"></button></span>
		<label for="enrollment_action_configuration.start_date"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.START_DATE") %></label>
		<input type="text" class="type_date" placeholder="JJ/MM/AAAA" size="11" id="enrollment_action_configuration.start_date" name="enrollment_action_configuration.start_date" value="<%= startDate %>">
		<label for="enrollment_action_configuration.end_date"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.END_DATE") %></label>
		<input type="text" class="type_date" placeholder="JJ/MM/AAAA" size="11" id="enrollment_action_configuration.end_date" name="enrollment_action_configuration.end_date" value="<%= endDate %>">
	</p>
	<% if (viewModel.getAvailableModels().size() > 1) { %>
	<p>
		<label for="enrollment_action_configuration.modelId" class="colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.MODEL") %></label>
		<select id="enrollment_action_configuration.modelId" name="enrollment_action_configuration.modelId">
			<% for(DefaultEnrollmentModel currentModel : viewModel.getAvailableModels().values()) {
			%><option value="<%= currentModel.getId() %>" <%= viewModel.getCurrentModel().getId() == currentModel.getId() ? "selected" : StringUtils.EMPTY %>><%= EnrollmentUtil.getMessage(currentModel.getName()) %></option><%
			} %>
		</select>
	</p>
	<% } else { %>
		<input type="hidden" name="enrollment_action_configuration.modelId" value="<%= viewModel.getCurrentModel().getId() %>">
	<% } %>
	<p class="retrait">
		<% fmt.insererChampSaisie(out, infoBean, "enrollment_action_configuration.authenticated", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_CHECKBOX, 0, 1); %>
		<label for="enrollment_action_configuration.authenticated"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.AUTHENTICATED") %></label>
        <br>
		<% fmt.insererChampSaisie(out, infoBean, "enrollment_action_moderate_configuration.moderate", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_CHECKBOX, 0, 1); %>
		<label for="enrollment_action_moderate_configuration.moderate"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.MODERATE") %></label>
	</p>
    <h3><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.CONTACT.TITLE") %></h3>
    <p class="message alert alert-info"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.CONTACT.INFOS") %></p>
	<p>
		<label for="enrollment_action_mailing_configuration.email" class="colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.CONTACT.EMAIL") %> (*)</label>
		<input class="type_email" type="text" id="enrollment_action_mailing_configuration.email" name="enrollment_action_mailing_configuration.email" value="<%= StringUtils.isNotBlank((String) datas.get("enrollment_action_mailing_configuration.email")) ? datas.get("enrollment_action_mailing_configuration.email") : StringUtils.EMPTY %>" required><%
		if (infoBean.get("enrollment_action_mailing_configuration.email.constraint") != null) {
			Set<ConstraintViolation<?>> violations = infoBean.getHashSet("enrollment_action_mailing_configuration.email.constraint");
			if(violations != null) {
			%><span class="js-constraint-violation__message constraint-violation__message masquer"><%
			for (ConstraintViolation<?> currentViolation : violations) {
				%><%= currentViolation.getMessage() %><%
			}
			%></span><%
			}
		}
	%></p>
	<p>
		<label for="enrollment_action_mailing_configuration.name" class="colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.CONTACT.NAME") %></label>
		<input type="text" id="enrollment_action_mailing_configuration.name" name="enrollment_action_mailing_configuration.name" value="<%= StringUtils.isNotBlank((String) datas.get("enrollment_action_mailing_configuration.name")) ? datas.get("enrollment_action_mailing_configuration.name") : StringUtils.EMPTY %>">
	</p>
    <p>
        <label for="enrollment_action_mailing_configuration.subject" class="colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.CONTACT.SUBJECT") %></label>
        <input type="text" id="enrollment_action_mailing_configuration.subject" name="enrollment_action_mailing_configuration.subject" value="<%= StringUtils.isNotBlank((String) datas.get("enrollment_action_mailing_configuration.subject")) ? datas.get("enrollment_action_mailing_configuration.subject") : StringUtils.EMPTY %>" size="50"/>
    </p>
	<p>
		<label for="enrollment_action_mailing_configuration.content" class="colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.CONTACT.CONTENT") %></label>
		<textarea id="enrollment_action_mailing_configuration.content" name="enrollment_action_mailing_configuration.content" rows="10"><%= StringUtils.isNotBlank((String) datas.get("enrollment_action_mailing_configuration.content")) ? datas.get("enrollment_action_mailing_configuration.content") : StringUtils.EMPTY %></textarea>
	</p><%
        if (StringUtils.isNotBlank(viewModel.getCurrentModel().getPathBo())) { %>
            <jsp:include page="<%= viewModel.getCurrentModel().getPathBo() %>"/><%
        }
	}
%></fieldset>