<%--

    Copyright (C) 2015 Kosmos <contact@kosmos.fr>

    Projet: enrollment
    Version: 1.02.05

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="com.univ.objetspartages.util.EnrollmentUtil" %>
<%@ page import="com.jsbsoft.jtf.core.InfoBean" %>
<%@ page import="com.univ.utils.EscapeString" %>
<%@ page import="com.univ.objetspartages.view.model.bo.EnrollmentMailModel" %>
<%@ page import="com.univ.objetspartages.processus.EnrollmentRegistrationProcessus" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<%
    final EnrollmentMailModel viewModel = infoBean.get(EnrollmentRegistrationProcessus.MAIL_MODEL, EnrollmentMailModel.class);
%>
<form id="saisie_objet" action="/servlet/com.jsbsoft.jtf.core.SG" enctype="multipart/form-data" method="post" data-ui="tabs">
    <div id="actions">
        <div>
            <ul>
                <li><button class="envoyer" type="button" name="MAIL_SEND" data-action="MAIL_SEND" value="MAIL_SEND" ><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.MAIL.SEND") %></button></li>
                <li><button class="retour" type="button" name="LIST" data-action="LIST" value="LIST" ><%= EnrollmentUtil.getMessage("BO_RETOUR") %></button></li></ul>
            <div class="clearfix"></div>
            <span title="<%= EnrollmentUtil.getMessage("BO_FERMER") %>" id="epingle">&ndash;</span>
        </div><!-- / -->
    </div><!-- #actions -->
    <br/>
    <div id="content">
        <div class="formulaire_hidden">
            <input type="hidden" name="ACTION" value="" />
            <input type="hidden" name="APERCU" value="0" />
            <input type="hidden" name="<%= InfoBean.PROC %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getNomProcessus()) %>" />
            <input type="hidden" name="<%= InfoBean.EXT %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getNomExtension()) %>" />
            <input type="hidden" name="<%= InfoBean.ECRAN_LOGIQUE %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getEcranLogique()) %>" />
            <input type="hidden" name="<%= InfoBean.ETAT_OBJET %>" value="<%= EscapeString.escapeAttributHtml(infoBean.getEtatObjet()) %>" />
            <input type="hidden" name="<%= EnrollmentRegistrationProcessus.MODEL_ID %>" value="<%= viewModel.getModelId() %>" />
        </div> <!-- .formulaire_hidden -->
        <div class="form_temp">
            <div class="enrollment__mail-recipients">
                <div class="label colonne"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.MAIL.RECIPIENTS") %></div>
                <div><%= viewModel.getEmails() %></div>
            </div>
            <p>
                <label class="colonne" for="<%= EnrollmentRegistrationProcessus.MAIL_SUBJECT %>"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.MAIL.OBJECT") %></label>
                <input type="text" id="<%= EnrollmentRegistrationProcessus.MAIL_SUBJECT %>" name="<%= EnrollmentRegistrationProcessus.MAIL_SUBJECT %>" size="50">
            </p>
            <p>
                <label class="colonne" for="<%= EnrollmentRegistrationProcessus.MAIL_MESSAGE %>"><%= EnrollmentUtil.getMessage("BO.ENROLLMENT.MAIL.MESSAGE") %></label>
                <textarea id="<%= EnrollmentRegistrationProcessus.MAIL_MESSAGE %>" name="<%= EnrollmentRegistrationProcessus.MAIL_MESSAGE %>" rows="10"></textarea>
            </p>
            <br>
        </div>
    </div>
</form>