<%--

    Copyright (C) 2015 Kosmos <contact@kosmos.fr>

    Projet: enrollment
    Version: 1.02.05

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="com.jsbsoft.jtf.core.FormateurJSP" %>
<%@ page import="com.univ.objetspartages.processus.EnrollmentRegistrationProcessus" %>
<%@ page import="com.univ.objetspartages.util.EnrollmentUtil" %>
<%@ page import="com.univ.objetspartages.view.model.fo.EnrollmentFoViewModel" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="org.apache.commons.lang3.StringUtils" %>
<%@ page import="javax.validation.ConstraintViolation" %>
<%@ page import="java.util.Set" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request"/>
<jsp:useBean id="fmt" class="com.jsbsoft.jtf.core.FormateurJSP" scope="page" />
<jsp:useBean id="univFmt" class="com.univ.utils.UnivFmt" scope="page" />
<%
    final EnrollmentFoViewModel viewModel = infoBean.get(EnrollmentRegistrationProcessus.REGISTRATION_VIEW_MODEL, EnrollmentFoViewModel.class);
%>
<input type="hidden" name="simple_enrollment_registration_data.locale" value="<%= ContexteUtil.getContexteUniv().getLocale().toString() %>"/>
<input type="hidden" name="simple_enrollment_registration_data.title" value="<%= viewModel.getEnrollmentTitle() %>"/>
<input type="hidden" name="simple_enrollment_registration_data.meta_id" value="<%= viewModel.getMetaId() %>"/>
<p>
    <label for="simple_enrollment_registration_data.name"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.name") %> (*)</label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.name", FormateurJSP.SAISIE_OBLIGATOIRE, FormateurJSP.FORMAT_TEXTE, 0, 128, EnrollmentUtil.getMessage("simple_enrollment_registration_data.name"), StringUtils.EMPTY,false,""); %>
    <%
    if (infoBean.get("simple_enrollment_registration_data.name") != null) {
        Set<ConstraintViolation<?>> violations = infoBean.getHashSet("simple_enrollment_registration_data.name.constraint");
        if(violations != null) {
            %><span class="js-constraint-violation__message constraint-violation__message masquer"><%
            for (ConstraintViolation<?> currentViolation : violations) {
                %><%= currentViolation.getMessage() %><%
                }
            %></span><%
        }
    }
%></p>
<p>
    <label for="simple_enrollment_registration_data.last_name"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.last_name") %> (*)</label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.last_name", FormateurJSP.SAISIE_OBLIGATOIRE, FormateurJSP.FORMAT_TEXTE, 0, 128, EnrollmentUtil.getMessage("simple_enrollment_registration_data.last_name"), StringUtils.EMPTY,false,""); %>
    <%
        if (infoBean.get("simple_enrollment_registration_data.last_name") != null) {
            Set<ConstraintViolation<?>> violations = infoBean.getHashSet("simple_enrollment_registration_data.name.constraint");
            if(violations != null) {
                %><span class="js-constraint-violation__message constraint-violation__message masquer"><%
                for (ConstraintViolation<?> currentViolation : violations) {
                    %><%= currentViolation.getMessage() %><%
                }
                %></span><%
            }
        }
%></p>
<p>
    <label for="simple_enrollment_registration_data.email"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.email") %> (*)</label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.email", FormateurJSP.SAISIE_OBLIGATOIRE, FormateurJSP.FORMAT_TEXTE, 0, 256, EnrollmentUtil.getMessage("simple_enrollment_registration_data.email"), StringUtils.EMPTY,false,""); %>
    <%
        if (infoBean.get("simple_enrollment_registration_data.email") != null) {
            Set<ConstraintViolation<?>> violations = infoBean.getHashSet("simple_enrollment_registration_data.email.constraint");
            if(violations != null) {
                %><span class="js-constraint-violation__message constraint-violation__message masquer"><%
                for (ConstraintViolation<?> currentViolation : violations) {
                    %><%= currentViolation.getMessage() %><%
                }
                %></span><%
            }
        }
%></p>
<p>
    <label for="simple_enrollment_registration_data.address"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.address") %></label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.address", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_TEXTE, 0, 255, EnrollmentUtil.getMessage("simple_enrollment_registration_data.address"), StringUtils.EMPTY,false,""); %>
</p>
<p>
    <label for="simple_enrollment_registration_data.postal_code"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.postal_code") %></label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.postal_code", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_TEXTE, 0, 5, EnrollmentUtil.getMessage("simple_enrollment_registration_data.postal_code"), StringUtils.EMPTY,false,""); %>
</p>
<p>
    <label for="simple_enrollment_registration_data.city"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.city") %></label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.city", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_TEXTE, 0, 128, EnrollmentUtil.getMessage("simple_enrollment_registration_data.city"), StringUtils.EMPTY,false,""); %>
</p>
<p>
    <label for="simple_enrollment_registration_data.phone"><%= EnrollmentUtil.getMessage("simple_enrollment_registration_data.phone") %></label>
    <% univFmt.insererContenuChampSaisie(fmt, out, infoBean, "simple_enrollment_registration_data.phone", FormateurJSP.SAISIE_FACULTATIF, FormateurJSP.FORMAT_TEXTE, 0, 14, EnrollmentUtil.getMessage("simple_enrollment_registration_data.phone"), StringUtils.EMPTY,false,""); %>
</p>