<%--

    Copyright (C) 2015 Kosmos <contact@kosmos.fr>

    Projet: enrollment
    Version: 1.02.05

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="com.kportal.frontoffice.util.JSPIncludeHelper" %>
<%@ page import="com.univ.objetspartages.processus.EnrollmentRegistrationProcessus" %>
<%@ page import="com.univ.objetspartages.util.EnrollmentUtil" %>
<%@ page import="com.univ.objetspartages.view.model.fo.EnrollmentFoViewModel" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="javax.validation.ConstraintViolation" %>
<%@ page import="java.util.Set" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request"/>
<%
    final EnrollmentFoViewModel viewModel = infoBean.get(EnrollmentRegistrationProcessus.REGISTRATION_VIEW_MODEL, EnrollmentFoViewModel.class);
%>
<h1><%= String.format(EnrollmentUtil.getMessage("FO.ENROLLMENT.INPUT.TITLE"), viewModel.getEnrollmentTitle()) %></h1><%
if (StringUtils.isNotBlank(infoBean.getMessageErreur())) { %>
<div id="msg-erreur">
    <div><%=com.univ.utils.EscapeString.escapeScriptAndEvent(infoBean.getMessageErreur())%></div><%
    if (infoBean.get("simple_enrollment_registration_data.constraint") != null) {
        Set<ConstraintViolation<?>> violations = infoBean.getHashSet("simple_enrollment_registration_data.constraint");
        if(violations != null) {
            for (ConstraintViolation<?> currentViolation : violations) {
                %><div><%= currentViolation.getMessage() %></div><%
            }
        }
    }
%></div><br><%
}
%>
<form class="edition_fiche" action="/servlet/com.jsbsoft.jtf.core.SG">
    <input type="hidden" name="EXT" value="enrollment">
    <input type="hidden" name="PROC" value="INPUT_ENROLLMENT_FRONT">
    <input type="hidden" name="ACTION" value="SUBMIT_ENROLLMENT"><%
    if(infoBean.get("ID_CI_RESTAURATION") != null)	{
    %><input type="hidden" name="ID_CI_RESTAURATION" value="<%= infoBean.getString("ID_CI_RESTAURATION")%>" />
    <input type="hidden" name="NOM_JSP_RESTAURATION" value="<%= infoBean.getString("NOM_JSP_RESTAURATION")%>" /><%
    } %>
    <input type="hidden" name="<%= EnrollmentRegistrationProcessus.REGISTRATION_ID %>" value="<%= viewModel.getRegistration().getId() == null ? StringUtils.EMPTY : viewModel.getRegistration().getId() %>">
    <input type="hidden" name="<%= EnrollmentRegistrationProcessus.REGISTRATION_MODEL_ID %>" value="<%= viewModel.getCurrentModel().getId() == null ? StringUtils.EMPTY : viewModel.getCurrentModel().getId() %>">
    <%
        JSPIncludeHelper.includeExtensionTemplate(out, getServletConfig().getServletContext(), request, response, viewModel.getCurrentModel().getExtensionId(), viewModel.getCurrentModel().getPathFo());
    %>
    <input type="submit" value="<%= EnrollmentUtil.getMessage("FO.ENROLLMENT.BUTTON.SUBMIT") %>">
</form>